import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class DialogHeader extends StatelessWidget {
  final String title;

  const DialogHeader(this.title, {super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        const SizedBox(
          height: 10,
        ),
        Text(
          title,
          textAlign: TextAlign.center,
          style: Theme.of(context).textTheme.bodyMedium!.copyWith(
                color: ColorsManager.primaryColorWithOpacity,
                fontWeight: FontWeight.bold,
              ),
        ),
        Padding(
          padding: const EdgeInsets.symmetric(vertical: 15, horizontal: 50),
          child: Container(
            height: 1,
            width: double.infinity,
            color: ColorsManager.greyColor,
          ),
        ),
      ],
    );
  }
}
